edu.wpi.first.wpilibj

## Enum RobotDrive.MotorType

- java.lang.Object
- - java.lang.Enum<RobotDrive.MotorType>
  - - edu.wpi.first.wpilibj.RobotDrive.MotorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RobotDrive.MotorType>
  Enclosing class:
    RobotDrive

      public static enum RobotDrive.MotorType
      extends java.lang.Enum<RobotDrive.MotorType>

  The location of a motor on the robot for the purpose of driving.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kFrontLeft`
    `kFrontRight`
    `kRearLeft`
    `kRearRight`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RobotDrive.MotorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RobotDrive.MotorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kFrontLeft

          public static final RobotDrive.MotorType kFrontLeft

    - #### kFrontRight

          public static final RobotDrive.MotorType kFrontRight

    - #### kRearLeft

          public static final RobotDrive.MotorType kRearLeft

    - #### kRearRight

          public static final RobotDrive.MotorType kRearRight

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static RobotDrive.MotorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RobotDrive.MotorType c : RobotDrive.MotorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RobotDrive.MotorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null